package com.winhc.repal.constant;

import com.winhc.repal.enums.PermissionEnum;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: Constant
 * @Author: xda
 * @Date: 2022/4/28 15:04
 */
public class Constant {

    /**
     * 用户权限code
     */
    public static final String USER_PERMISSION_KEY = "winhc:repal:userPermission:";

    /**
     * 权限编码
     */
    public static Map<String, String> PERMISSION_MAP = new HashMap<>();

    /**
     *  初始化角色name
     */
    public static final List<String> INIT_ROLE_NAME_LIST = new ArrayList<String>() {{
        add("子管理员");
        add("部门主管");
        add("财务人员");
        add("员工");
    }};

    /**
     * 初始化角色子管理员权限
     */
    public static final List<String> ROLE_TWO = new ArrayList<String>() {{
        add(PermissionEnum.MEMBER_MANAGER.getCode());
        add(PermissionEnum.BOOK_MANAGER.getCode());
        add(PermissionEnum.QUERY_ALL_RECEIVABLE.getCode());
        add(PermissionEnum.ADD_RECEIVABLE.getCode());
        add(PermissionEnum.UPDATE_RECEIVABLE.getCode());
        add(PermissionEnum.QUERY_ALL_RECEIPT.getCode());
        add(PermissionEnum.ADD_RECEIPT.getCode());
        add(PermissionEnum.UPDATE_RECEIPT.getCode());
        add(PermissionEnum.QUERY_ALL_CUST.getCode());
        add(PermissionEnum.ADD_CUST.getCode());
        add(PermissionEnum.UPDATE_CUST.getCode());
        add(PermissionEnum.QUERY_ALL_SUPPLY.getCode());
        add(PermissionEnum.ADD_SUPPLY.getCode());
        add(PermissionEnum.UPDATE_SUPPLY.getCode());
        add(PermissionEnum.QUERY_ALL_URGE.getCode());
        add(PermissionEnum.URGE_BILL.getCode());
    }};

    /**
     * 初始化角色部门主管权限
     */
    public static final List<String> ROLE_THREE = new ArrayList<String>() {{
        add(PermissionEnum.QUERY_ALL_RECEIVABLE.getCode());
        add(PermissionEnum.ADD_RECEIVABLE.getCode());
        add(PermissionEnum.UPDATE_RECEIVABLE.getCode());
        add(PermissionEnum.QUERY_ALL_RECEIPT.getCode());
        add(PermissionEnum.ADD_RECEIPT.getCode());
        add(PermissionEnum.UPDATE_RECEIPT.getCode());
        add(PermissionEnum.QUERY_ALL_CUST.getCode());
        add(PermissionEnum.ADD_CUST.getCode());
        add(PermissionEnum.UPDATE_CUST.getCode());
        add(PermissionEnum.QUERY_ALL_SUPPLY.getCode());
        add(PermissionEnum.ADD_SUPPLY.getCode());
        add(PermissionEnum.UPDATE_SUPPLY.getCode());
        add(PermissionEnum.QUERY_ALL_URGE.getCode());
        add(PermissionEnum.URGE_BILL.getCode());
    }};

    /**
     * 初始化角色财务人员权限
     */
    public static final List<String> ROLE_FOUR = new ArrayList<String>() {{
        add(PermissionEnum.QUERY_ALL_RECEIVABLE.getCode());
        add(PermissionEnum.ADD_RECEIVABLE.getCode());
        add(PermissionEnum.UPDATE_RECEIVABLE.getCode());
        add(PermissionEnum.QUERY_ALL_RECEIPT.getCode());
        add(PermissionEnum.ADD_RECEIPT.getCode());
        add(PermissionEnum.UPDATE_RECEIPT.getCode());
        add(PermissionEnum.QUERY_ALL_CUST.getCode());
        add(PermissionEnum.QUERY_ALL_SUPPLY.getCode());
        add(PermissionEnum.QUERY_ALL_URGE.getCode());
        add(PermissionEnum.URGE_BILL.getCode());
    }};

    /**
     * 初始化角色员工权限
     */
    public static final List<String> ROLE_FIVE = new ArrayList<String>() {{
        add(PermissionEnum.QUERY_ALL_RECEIVABLE.getCode());
        add(PermissionEnum.QUERY_ALL_RECEIPT.getCode());
        add(PermissionEnum.QUERY_ALL_CUST.getCode());
        add(PermissionEnum.QUERY_ALL_SUPPLY.getCode());
        add(PermissionEnum.QUERY_ALL_URGE.getCode());
    }};

    public static List<List<String>> INIT_ROLE_LIST = new ArrayList<List<String>>() {{
        add(ROLE_TWO);
        add(ROLE_THREE);
        add(ROLE_FOUR);
        add(ROLE_FIVE);
    }};


}
