package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalOrderPageDTO;
import com.winhc.repal.model.vo.RepalOrderVO;
import com.winhc.repal.service.RepalOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: RepalOrderController
 * @Author: xda
 * @Date: 2022/5/19 14:37
 */
@Api(tags = "回款宝订单")
@RestController
@RequestMapping(value = "/order")
public class RepalOrderController {

    @Autowired
    private RepalOrderService repalOrderService;

    @ApiOperation("回款宝订单列表")
    @RequestMapping(value = "/page", method = RequestMethod.GET)
    public BeanResponse<VOPage<RepalOrderVO>> getRepalOrderPage(RepalOrderPageDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalOrderService.getRepalOrderPage(dto));
    }

    @ApiOperation("查询短信催款/律师函催款订单详情")
    @RequestMapping(value = "/detail/{orderId}", method = RequestMethod.GET)
    public BeanResponse<RepalOrderVO> getSmsDetail(@PathVariable("orderId") String orderId) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalOrderService.getSmsDetail(orderId));
    }





}
