package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalBillOperLog实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_BILL_OPER_LOG")
@ApiModel(value="RepalBillOperLog实体对象", description="回款宝账款操作表")
public class RepalBillOperLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "动作代码")
    @TableField("ACTION_CODE")
    private String actionCode;

    @ApiModelProperty(value = "动作名称")
    @TableField("ACTION_NAME")
    private String actionName;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "业务类型")
    @TableField("BIZ_TYPE")
    private String bizType;

    @ApiModelProperty(value = "业务ID")
    @TableField("BIZ_ID")
    private String bizId;

    @ApiModelProperty(value = "操作内容")
    @TableField("ACTION_CONTENT")
    private String actionContent;

    @ApiModelProperty(value = "操作时间")
    @TableField("OPER_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime operTime;


}
