package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalResponsiblePerson实体对象
 * @author Generator
 * @date 2022-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_RESPONSIBLE_PERSON")
@ApiModel(value="RepalResponsiblePerson实体对象", description="回款宝账款负责人表")
public class RepalResponsiblePerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织id")
    @TableField("REPAL_GROUP_ID")
    private Long repalGroupId;

    @ApiModelProperty(value = "账本id")
    @TableField("REPAL_BOOK_ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账款id")
    @TableField("REPAL_BILL_ID")
    private Long repalBillId;

    @ApiModelProperty(value = "责任人id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "是否删除。1是。0否。")
    @TableField("DELETED")
    private Integer deleted;

    @TableField("TIME_CREATED")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @TableField("TIME_MODIFIED")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;


}
