package com.winhc.repal.enums;

import java.util.Objects;

/**
 * @description: 动态类型
 * @author: Anakin
 * @date 2021.8.2 10:12
 */
public enum DynamicEnum {
    //经营异常新增
    经营异常("company_abnormal_info", "301901", "1","company_abnormal_info","JingYingYiChangDet"),
    经营异常_移除("company_abnormal_info", "301902", "1","","JingYingYiChangDet"),
    法院公告("company_court_announcement","302001", "2","company_court_announcement_list","KaiTingGongGaoDet"),
    开庭公告("company_court_open_announcement","302101", "3","company_court_open_announcement_list",""),
    立案信息("company_court_register","302201", "4","company_court_register_list","LiAnXinXiDet"),
    环保处罚("company_env_punishment","302401", "5","","HuanBaoChuFaDet"),
    严重违法("company_illegal_info","302501", "6","company_illegal_info","YanZhongWeiFaXingWeiDet"),
    行政处罚("company_punishment_info","302601", "7","","XingZhengChuFaDet"),
    行政处罚_信用中国("company_punishment_info","302601", "7","","XingZhengChuFaDet"),
    送达公告("company_send_announcement","302701", "8","","SongDaGongGaoDet"),
    税收违法("company_tax_contravention","302801", "9","company_tax_contravention","ShuiShouWeiFaDet"),
    司法拍卖("auction_tracking","302901", "10","company_judicial_sale_combine_list","PaiMaiXiangQing"),
    欠税公告("company_own_tax","303001", "11","company_own_tax","QianShuiGongGaoDet"),
    询价评估结果("zxr_evaluate_results","304501", "12","","XunJiaPingGuDet"),
    破产信息("bankruptcy_open_case","303101", "13","bankruptcy_open_case","PoChanChongZhengDet"),
    简易注销("company_brief_cancel_announcement","303201", "14","company_brief_cancel_announcement","JianYiZhuXiao"),
    失信被执行人("company_dishonest_info","303301", "15","company_dishonest_info","ShiXinQingKuangDet"),
    公示催告("company_public_announcement","303401", "16","","GongShiCuiGaoDet"),
    被执行人("company_zxr","303501", "17","company_zxr_list","BeiZhiXingRenDet"),
    终本案件("company_zxr_final_case","303601", "18","company_zxr_final_case","ZhongBenAnJianDet"),
    限制高消费("company_zxr_restrict","303701", "19","company_zxr_restrict","JYXianZhiGaoXiaoFeiDet"),
    限制出境("restrictions_on_exit","303801", "20","","XianZhiChuJingDet"),
    股权出质("company_equity_info","303901", "21","company_equity_info","GuQuanChuZhiDet"),
    股权质押("company_equity_pledge_holder","304001", "22","","GuQuanZhiYaDet"),
    股权冻结("company_judicial_assistance","304101", "23","","GuQuanDongJieDet"),
    土地抵押("company_land_mortgage","304201", "24","company_land_mortgage","TuDiDiYaDet"),
    动产抵押("company_mortgage_info","304301", "25","company_mortgage_info","DongChanDiYaDet"),
    裁判文书("company_lawsuit","304401", "26","wenshu_detail_combine","JYWenShuDet"),

    抽查检查("company_check_info","201101", "27","","ChouChaJianChaDet"),
    双随机抽查("company_double_random_check_info","201201", "28","","ShuangSuiJiChouChaDet"),
    融资信息("company_finance","201301", "29","","RongZhiXinXi"),
    行政许可("company_license","201401", "30","","XingZhenXuKeDet"),
    行政许可_信用中国("company_license_creditchina","201401", "30","","XingZhenXuKeDet"),
    购地信息("company_land_announcement","201501", "31","","GouDiXinXiDet"),
    地块公示("company_land_publicity","201601", "32","","TuDiXinXiDet"),
    土地转让("company_land_transfer","201701", "33","company_land_transfer","TuDiZhuanRangDet"),
    知识产权("intellectual","201801", "34","",""),
//    公司名称("intellectual","101001"),
    股东变更("company_holder","101101","42","company_holder","GuDongBianGengDet")
    ;
    private String tn;
    private String code;
    private String infoType;
    private String opportunity;
    private String routing;

    DynamicEnum(String tn, String code, String infoType, String opportunity, String routing) {
        this.code = code;
        this.tn = tn;
        this.infoType = infoType;
        this.opportunity = opportunity;
        this.routing = routing;
    }

    public static DynamicEnum getEnum(String code) {
        for (DynamicEnum en : DynamicEnum.values()) {
            if (Objects.equals(en.getCode(), code)) {
                return en;
            }
        }
        return null;
    }

    public static String getDescByTn(String tn) {
        for (DynamicEnum en : DynamicEnum.values()) {
            if (Objects.equals(en.getTn(), tn)) {
                return en.name();
            }
        }
        return null;
    }

    public static String getOpportunityByTn(String tn) {
        for (DynamicEnum en : DynamicEnum.values()) {
            if (Objects.equals(en.getTn(), tn)) {
                return en.getOpportunity();
            }
        }
        return null;
    }

    public static String getInfoTypeByTn(String tn) {
        for (DynamicEnum en : DynamicEnum.values()) {
            if (Objects.equals(en.getTn(), tn)) {
                return en.getInfoType();
            }
        }
        return null;
    }

    public static String getRoutingByTn(String tn) {
        for (DynamicEnum en : DynamicEnum.values()) {
            if (Objects.equals(en.getTn(), tn)) {
                return en.getRouting();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getTn() {
        return tn;
    }

    public String getInfoType() {
        return infoType;
    }

    public String getOpportunity() {
        return opportunity;
    }

    public String getRouting() {
        return routing;
    }
}
