package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Aaron
 * @date 2022/5/11 13:07
 * @description
 */
@Data
@ApiModel("起诉催款")
public class RepalLawDTO {
    @ApiModelProperty(value = "账款编号",required = true)
    private Long repalBillId;

    @ApiModelProperty("案件基本情况")
    private String serviceDesc;

    @ApiModelProperty("省份")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("咨询类型")
    private Integer serviceType;

    @ApiModelProperty("是否接受其他地区律师 1同意,默认  2不同意")
    private Integer otherArea = 1;

    @ApiModelProperty("欠款金额")
    private BigDecimal caseAmt;

    @ApiModelProperty("案件阶段 1未起诉。2已起诉。3已申请执行。")
    private Integer caseStage;
}
