package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalGroupRole;
import com.winhc.repal.model.dto.MemberRoleDTO;
import com.winhc.repal.model.dto.UpdateRolePermissionDTO;
import com.winhc.repal.model.vo.GroupRoleVO;
import com.winhc.repal.model.vo.RolePermissionVO;

import java.util.List;


/**
 * @description RepalGroupRoleMember 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalGroupRoleService extends IService<RepalGroupRole> {

    /**
     * 根据角色id获取角色信息
     * @param idList idList
     * @return java.util.List<com.winhc.repal.entity.RepalGroupRole>
     * @author xda
     * @date 2022/5/10 15:02
     */
    List<RepalGroupRole> getRoleByIdList(List<Long> idList);


    /**
     * 新增角色
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/10 16:17
     */
    Long addRole(MemberRoleDTO dto);

    /**
     * 获取组织角色列表
     * @return java.util.List<com.winhc.repal.model.vo.GroupRoleVO>
     * @author xda
     * @date 2022/5/10 19:54
     */
    List<GroupRoleVO> getGroupRoleList();

    /**
     * 获取角色对应的权限
     * @param roleId roleId
     * @return java.util.List<com.winhc.repal.model.vo.RolePermissionVO>
     * @author xda
     * @date 2022/5/10 20:05
     */
    List<RolePermissionVO> getPermissionList(Long roleId);

    /**
     * 删除角色
     * @param roleId roleId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/10 20:19
     */
    Boolean deleteRoleById(Long roleId);

    /**
     * 修改角色name
     * @param roleId roleId
     * @param roleName roleName
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/17 19:11
     */
    Boolean updateRoleNameByRoleId(Long roleId, String roleName);



}
