package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalResponsiblePerson;
import com.winhc.repal.model.vo.ResponsiblePersonNameVO;

import java.util.List;
import java.util.Map;


/**
 * @description RepalResponsiblePerson 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalResponsiblePersonService extends IService<RepalResponsiblePerson> {


    /**
     * 获取负责人
     * @param repalBillId repalBillId
     * @return java.util.List<com.winhc.repal.model.vo.ResponsiblePersonNameVO>
     * @author xda
     * @date 2022/5/20 14:16
     */
    List<ResponsiblePersonNameVO> getPersonNameList(Long repalBillId);


    /**
     * 获取账款对应的负责人name
     * @param billIdList billIdList
     * @return java.util.Map<java.lang.Long, java.util.List < java.lang.String>>
     * @author xda
     * @date 2022/4/13 18:37
     */
    Map<Long, List<String>> getResponsiblePersonNameList(List<Long> billIdList);

    /**
     * 获取账款对应负责人
     * @param billId billId
     * @return java.util.List<java.lang.String>
     * @author xda
     * @date 2022/4/14 11:31
     */
    List<String> getResponsiblePersonName(Long billId);

    /**
     * 获取账款对应负责人idList
     * @param billId billId
     * @return java.util.List<java.lang.String>
     * @author xda
     * @date 2022/4/14 11:31
     */
    List<Long> getResponsiblePersonId(Long billId);


    /**
     * 删除账本下所有账款对应的责任人
     * @param repalBookId repalBookId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/18 12:15
     */
    Boolean deletePersonByBookId(Long repalBookId);

    /**
     * 删除账本下所有账款对应的责任人
     * @param repalBillId repalBillId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/5 10:21
     */
    Boolean deletePersonByBillId(Long repalBillId);

    /**
     * 获取用户负责的账款数
     * @param userId userId
     * @return int
     * @author xda
     * @date 2022/5/16 14:54
     */
    Integer getUserResponsibleBillCount(Long userId);

}
