package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalRolePermission;
import com.winhc.repal.model.dto.UpdateRolePermissionDTO;
import com.winhc.repal.model.vo.RolePermissionVO;

import java.util.List;
import java.util.Set;


/**
 * @description RepalRolePermission 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalRolePermissionService extends IService<RepalRolePermission> {


    /**
     * 校验用户权限
     * @param userId userId
     * @param code code
     * @return boolean
     * @author xda
     * @date 2022/4/28 17:54
     */
    Boolean checkUserPermission(Long userId, String code);

    /**
     * 获取用户权限集合
     * @param userId userId
     * @return java.util.Set<java.lang.String>
     * @author xda
     * @date 2022/4/28 16:32
     */
    Set<String> getUserPermissionCodeSet(Long userId);

    /**
     * 用户权限放入redis
     * @param userId userId
     * @param codeSet codeSet
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/4/28 17:13
     */
    Boolean processUserPermissionCache(Long userId, Set<String> codeSet);


    /**
     * 为角色添加权限
     * @param roleId roleId
     * @param perCodeList perCodeList
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/10 19:36
     */
    Boolean addRolePermission(Long roleId, List<String> perCodeList);

    /**
     * 获取角色对应的权限列表
     * @param roleId roleId
     * @return java.util.List<com.winhc.repal.entity.RepalRolePermission>
     * @author xda
     * @date 2022/5/10 20:14
     */
    List<RepalRolePermission> getRolePermissionList(Long roleId);


    /**
     * 修改角色权限
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/11 19:55
     */
    Boolean updateRolePermission(UpdateRolePermissionDTO dto);

    /**
     * 获取所有权限
     * @return java.util.List<com.winhc.repal.model.vo.RolePermissionVO>
     * @author xda
     * @date 2022/5/17 11:43
     */
    List<RolePermissionVO> getAllPermission();

    /**
     * 初始化用户权限
     * @param userId userId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/23 13:56
     */
    Boolean initMemberPermission(Long userId);



}
