package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalRemindDefinition;
import com.winhc.repal.repository.RepalRemindDefinitionMapper;
import com.winhc.repal.service.RepalRemindDefinitionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalRemindDefinitionDTO;
import com.winhc.repal.model.cvt.RepalRemindDefinitionConvert;
import com.winhc.repal.model.vo.RepalRemindDefinitionVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalRemindDefinition 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalRemindDefinitionServiceImpl extends ServiceImpl<RepalRemindDefinitionMapper, RepalRemindDefinition> implements RepalRemindDefinitionService {

    @Override
    public void add(RepalRemindDefinitionDTO dto) {
        save(RepalRemindDefinitionConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalRemindDefinitionDTO dto) {
        update(RepalRemindDefinitionConvert.DTOToEntity(dto),new UpdateWrapper<RepalRemindDefinition>().lambda().eq(RepalRemindDefinition::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalRemindDefinitionVO find(Long id) {
        return RepalRemindDefinitionConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalRemindDefinitionVO> find(RepalRemindDefinitionDTO dto) {
        return list(new QueryWrapper<>(RepalRemindDefinitionConvert.DTOToEntity(dto))).stream().map(RepalRemindDefinitionConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalRemindDefinitionVO> find(RepalRemindDefinitionDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalRemindDefinition> pageRepalRemindDefinition = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalRemindDefinitionConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalRemindDefinition.getTotal(), pageRepalRemindDefinition.getRecords().stream()
                 .map(RepalRemindDefinitionConvert::EntityToVO).collect(Collectors.toList()));
    }
}
